Page MenuHomePhabricator

Footer does not have an assistive header
Closed, ResolvedPublic

Description

We place an assistive text header into various parts of vector. This is supposed to section up the UI so that a user at a screen reader, etc... will have text associated with each area of the UI permitting them to understand what each part is a part of.

However our footer does not have one of these. As a result in our footer blending in and conceptually being treated as a part of the last portlet in the sidebar. Sometimes something like "Help", others "Toolbox", and commonly on en.wp "Languages".

You can see a few that might help you understand it at:
http://wave.webaim.org/report?view=textonly&url=http://en.wikipedia.org/wiki/Ian_Fleming

That's a textual+headers overview of the page that helps you view a page similarly to how a screen reader will present it to the user. (Which likewise in many cases will be similar to how a search engine / spider will conceptualize a page)

You can see the stuff inside the footer belending in with the last portlet header. This is how it will be treated towards a blind, etc... user.


Version: unspecified
Severity: normal

Details

Reference
bz41296

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:08 AM
bzimport set Reference to bz41296.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2015, 6:07 AM
Prtksxna closed this task as Resolved.Jul 3 2017, 12:36 PM
Prtksxna assigned this task to Isarra.
Prtksxna added subscribers: Isarra, Prtksxna.

The role attribute with value contentinfo was added to core by @Isarra in https://gerrit.wikimedia.org/r/#/c/344804/ and has been in Vector for a while. The WAVE report in the description also correctly finds this landmark now.

Feel free to reopen if I've misunderstood the bug report.